coap_option Struct Reference

`#include <pdu.h>`

## Data Fields

uint16_t | key
unsigned int | length

## Detailed Description

Deprecated:
  Use coap_optlist_t instead.

Structures for more convenient handling of options. (To be used with ordered coap_list_t.) The option's data will be added to the end of the coap_option structure (see macro COAP_OPTION_DATA).

Definition at line 266 of file pdu.h.

## Field Documentation

## key

uint16_t coap_option::key

Definition at line 267 of file pdu.h.

## length

unsigned int coap_option::length

Definition at line 268 of file pdu.h.

The documentation for this struct was generated from the following file:

- pdu.h